class AbstractTrainer(object):

    def __init__(self, config, model):
        self.config = config
        self.model = model

    def fit(self, train_data):

        raise NotImplementedError('Method [next] should be implemented.')

    def evaluate(self, eval_data):

        raise NotImplementedError('Method [next] should be implemented.')